      program times_class ! Bernd Berg, Sep 7 2006.
C Results of CPU time measurements on classroom PCs.
      include '../../ForLib/implicit.sta'
      include '../../ForLib/constants.par'
      parameter(iuo=6)
c
c SCS classroom PCs:
c
      write(iuo,'(/," Measurements on SCS classroom PCs:",
     &              " Times are in seconds.")') 
      write(iuo,'(/," g77 -O fln.f compilation:",/)') 
      tc=one/(TWO*10**9) ! Time per cycle.
      write(iuo,'(" Approximate clockcyle:         ",G14.3)') tc
      time=1.792D00/10**9
      write(iuo,'(" Time per simple addition:      ",2G14.3)')
     &      time,(time/tc)
      time=1.796D00/10**9
      write(iuo,'(5X," Single precision:",9X,2G14.3)') time,(time/tc)
      time=4.086D00/10**8
      write(iuo,'(" Time per ranmar  random number:",2G14.3)') 
     &      time,(time/tc)
      time=4.264D00/10**8
      write(iuo,'(5X," Single precision:",9X,2G14.3)') time,(time/tc)
      time=10.30D00/10**8
      write(iuo,'(" Time per exp function call:    ",2G14.3)') 
     &      time,(time/tc)
      time=10.264D00/10**8
      write(iuo,'(5X," Single precision:",9X,2G14.3)') time,(time/tc)
      time=7.920D00/10**8
      write(iuo,'(" Time per cos function call:    ",2G14.3)') 
     &      time,(time/tc)
      time=7.244D00/10**8
      write(iuo,'(" Time per ln function call:     ",2G14.3)') 
     &      time,(time/tc)
c
      write(iuo,'(/," g77 fln.f compilation:",/)') 
      time=10.08D00/10**9
      write(iuo,'(" Time per simple addition:      ",2G14.3)')
     &      time,(time/tc)
      time=10.14D00/10**9
      write(iuo,'(5X," Single precision:",9X,2G14.3)') time,(time/tc)
      time=6.124D00/10**8
      write(iuo,'(" Time per ranmar  random number:",2G14.3)') 
     &      time,(time/tc)
      time=5.644D00/10**8
      write(iuo,'(5X," Single precision:",9X,2G14.3)') time,(time/tc)
      time=12.736D00/10**8
      write(iuo,'(" Time per exp function call:    ",2G14.3)') 
     &      time,(time/tc)
c
      stop
      end
